<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('daily_level_comissions', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id');
            $table->integer('first_level_user_id');
            $table->integer('first_level_invest_id');
            $table->integer('first_level_daily_profit_ammount');
            $table->integer('fist_level_commission_percentage');
            $table->integer('fist_level_commission_ammount_after_per');
            $table->timestamp('first_level_created_at');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('daily_level_comissions');
    }
};
